# µide: *Minimal IDE*

[![Travis Status](https://travis-ci.org/uroboro/mide.svg)](https://travis-ci.org/uroboro/mide)

Aims to be a simple IDE initially for development *on* (jailbroken) iOS devices with [Theos](https://github.com/theos/theos) as engine and git (GitHub support).

## Open source projects to consider using

| Area | Name | Description | License | Packaging | Comments |
| ---- | ---- |:------------|:-------:|:---------:|:--------:|
| Core | [objective-git](https://github.com/libgit2/objective-git) | Objective-C bindings to libgit2 | MIT | Carthage | - |
| Core | [OctoKit](https://github.com/octokit/octokit.objc) | GitHub API client for Objective-C | MIT | Carthage | - |
| Core | [ZipZap](https://github.com/pixelglow/ZipZap) | zip file I/O library for iOS, macOS and tvOS | BSD | - | iOS 9.3? |
| Core | [AnsiEscapeHelper](https://github.com/ferostar/AnsiEscapeHelper) | AnsiEscapeHelper port to work on iOS | - | - | - |
| Core | [PEGKit](https://github.com/itod/pegkit) | 'Parsing Expression Grammar' toolkit for Cocoa/Objective-C | MIT | - | - |
| Core | [ClangKit](https://github.com/macmade/ClangKit) | ClangKit provides an Objective-C frontend to LibClang. Source tokenization, diagnostics and fix-its are actually implemented. | Boost | - | - |
| Core | [ios_system](https://github.com/holzschu/ios_system) | Drop-in replacement for system() in iOS programs | Various | - | iOS 10+ |
| UI | [ECSlidingViewController](https://github.com/ECSlidingViewController/ECSlidingViewController) | Customizable sliding view controller container. | MIT | Pods/- | Version 1 for iOS 5-7 or current for iOS 7+ |
| UI | [PanelKit](https://github.com/louisdh/panelkit) | A UI framework that enables panels on iOS. | MIT | Carthage | iOS 9.0+ |
| UI | [SCSafariPageController](https://github.com/stefanceriu/SCSafariPageController) | A page view controller component that reproduces Mobile Safari's tab switching behavior | MIT | Pods | - |
| UI | [KLNoteViewController](https://github.com/KieranLafferty/KLNoteViewController) | A view controller that organizes multiple navigation controllers in a stack inspired by Evernote 5.0 app | Apache-2.0 | Pods | - |
| UI | [TiltedTabView](https://github.com/IMcD23/TiltedTabView) | iOS control to replicate the tab switcher in Safari for iOS. | MIT | Carthage | iOS 10+ |
| UI | [CoreDragon](https://github.com/nevyn/CoreDragon) | [iOS] Stop using context menus. Drag and drop instead, even between apps! | Apache-2.0 | Pods | iOS <11 |
| UI | [CYRTextView](https://github.com/illyabusigin/CYRTextView) | UITextView subclass that implements a variety of features that are relevant to a syntax or code text view. | MIT | Pods | iOS 7+ |
| Backend | [GCDWebServer](https://github.com/swisspol/GCDWebServer) | Lightweight GCD based HTTP server for OS X & iOS (includes web based uploader & WebDAV server) | BSD 3-Clause | Pods | iOS 8.0+ |
| Backend | [CocoaHTTPServer](https://github.com/robbiehanson/CocoaHTTPServer) | A small, lightweight, embeddable HTTP server for Mac OS X or iOS applications. | BSD 3-Clause | Pods | - |
| Tool | [LicensePlist](https://github.com/mono0926/LicensePlist) | A license list generator of all your dependencies for iOS applications | MIT | Carthage/Pods | - |
